Skip to main content
GET
List all access requests for this application

Authorizations

Authorization
string
header
required

Path Parameters

app_id
integer
required

UID of this application

Example:

1

Query Parameters

limit
integer

Maximum number of records to return for this request. Overrides the row count only, not the page offset (which is always based on per_page), so use per_page for pagination rather than combining limit with page. Defaults to the per_page value.

per_page
integer
default:20

Items per page. Defaults to the resource-specific page count if configured, otherwise 20

page
integer
default:1

Page number. Defaults to 1 when omitted

Response

200 - application/json

OK

Catalogue
string

Catalogue of API Products included in this access request

Example:

"Public Catalogue"

Client
string

Name of the developer app

Example:

"Payment application"

CreatedAt
string

Timestamp of when this access request was created

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}$
Example:

"2023-06-25 13:37"

UpdatedAt
string

Timestamp of when this access request was updated the last time

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}$
Example:

"2023-06-25 13:37"

DeletedAt
string

Timestamp of when this access request was removed

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}$
Example:

"2023-06-25 13:37"

Plan
string

Name of a plan included in this access request

Example:

"Free plan"

User
string

Descriptor of a user to whom this access request belongs

Example:

"User#1"

AuthType
string

Authentication type of APIs that are included in this API Product

Example:

"authToken"

DCREnabled
boolean

Identifies if this access request was created using Dynamic client registration

Example:

false

ID
integer

UID of access request

Example:

1

ProvisionImmediately
boolean

Identifies if this access request was approved automatically

Example:

true

Status
enum<string>

Approval status of this access request

Available options:
approved,
rejected,
pending
Products
string

Names of products included in this access request

Example:

"Payment API"

Credentials
object[]